package electrosphere.game.data.foliage.type.model;

import electrosphere.game.data.foliage.type.FoliageType;
import java.util.List;

/**
 *
 * @author amaterasu
 */
public class FoliageTypeMap {
    
    List<FoliageType> foliageList;

    public List<FoliageType> getFoliageList() {
        return foliageList;
    }
    
    public FoliageType getFoliage(String name){
        for(FoliageType foliage : foliageList){
            if(foliage.getName().matches(name)){
                return foliage;
            }
        }
        return null;
    }
    
}
